### Method

# FwupdPlugin Device set_vendor

since: 1.6.2

#### Declaration [src]

    void
    fu_device_set_vendor (
      FuDevice* self,
      const gchar* vendor
    )

#### Description [src]

Sets the vendor name on the device.

NOTE: The vendor is frequently used as a prefix to the device name in front-end tools, and so `vendor` should be as short as possible. This should also be the “nice name” the user is familiar with and should not be the legal name, for example use `AMD` not `Advanced Micro Devices, Inc.`.

Available since: 1.6.2

#### Parameters

`vendor`

  Type: `const gchar*`

  A device vendor.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.